Doomsday Engine - Feature #1246

Support newer model formats and skeletal animation
2003-07-21 02:51 - skyjake

Status: Closed Start date:

Priority: Urgent % Done:
Assignee: Deng Team

Category: Redesign

Target version: 1.15

2013-10-12
100%

Description

I've been looking around and have noticed that there are
better formats to switch to besides MD3. Sure, it is

loads better then MD2, but why not go for better? Some
Quake 3 Engine games used different formats besides
MD3, like | believe RTCW had it's own, Heavy Metal
FAKK2, SOF (GHOUL, is this Quake 2???), SOF2, ST:EF2,
etc.... And I've heard of an MD4 and MDS but MD4 isn't
supposed to be all that great. Plus, there are non-id

formats out there as well. It should be something

thought out, anyway.

Labels: Graphics

Related issues:

Related to Feature #1165: Multipart 3D models

Related to Feature #1231: Ragdoll physics

Related to Feature #1865: Align 3D model's head with the target's direction
Related to Feature #1281: Random monster variations

Has duplicate Feature #1149: MD3 support

Follows Feature #8: New GL2 based model renderer

Rejected
New
New
Closed
Closed
Closed

2003-05-29
2003-07-09
2014-09-15
2003-09-11
2003-03-27
2013-10-11

History

#1 - 2003-07-22 09:01 - chilvence
Logged In: YES
user_id=675595

| agree, mainly because | think animation should be skeletal.
This will allow monsters to look at you instead of staring at a
fly on the wall behind you. It will also allow proper animation
of the player avatars in multiplayer (ie seperate leg/arm
animation for strafing, backstepping and shooting while
running)

#2 - 2003-07-22 10:25 - skyjake

Logged In: YES
user_id=717323

Skeletal models would be preferable, but one has to think

about editor support, too. Are there model editors capable
of exporting/editing the formats listed in the original post?

#3 - 2003-07-22 16:50 - skyjake

(originally posted by anonymous SF.net user)

Logged In: NO

| think skyjake should go md3 for now

once doom3 is out, in about a half year as it seems now,

skyjake could consider md5 (doom3's skelletal animated
format), since there will propperly be gpl'ed modelviewers
for that format, and most important import/export plugins

for all major modeling programms all the other formats you
need named above don't have that, expect md2 but that
deforms the mesh bad, and md3 (that was why | requested the
md3 format)

plus you'll have highly skilled modelers working with md5
once doom3 is out, that would benfit the doomday's model pack

you're right about md4 in fact the md4 loader in quake3 is
broken and it wasn't used at all

btw md3 can do eperate leg/arm animation with upper/lower
animation see my original md3 support request how it can be
done with doom

for people that really want to know about md5: there are
md5viewers (including source code) on the net. | don't think
it would be legal to use them as a source reference since
noone is suppost to have any md5 models yet

noctrun

#4 - 2003-07-22 19:20 - chilvence

Logged In: YES
user_id=675595

In all honesty | think half life mdl would be fine; For that there
is milkshape.

Im going to do some reasearch on different file formats and
try to find one that has flexibility and wide support.

#5 - 2013-10-19 17:08 - skyjake

- Tags set to Renderer, 3DModel, Animation

- Subject changed from Support newer model formats. Skeletal animation? to Support newer model formats and skeletal animation

- Category set to Redesign
- Assignee set to Deng Team

- Priority changed from Normal to Urgent

#6 - 2014-04-22 14:59 - skyjake

- Status changed from New to In Progress

#7 - 2014-07-17 16:06 - skyjake
- % Done changed from 0 to 10

#8 - 2014-07-17 16:07 - skyjake

- Target version setto 1.15

#9 - 2014-08-23 22:33 - skyjake
- % Done changed from 10 to 30

#10 - 2014-08-23 22:34 - skyjake
- % Done changed from 30 to 70

#11 - 2014-09-15 08:48 - skyjake
- Related to Feature #1865: Align 3D model's head with the target's direction added

#12 - 2014-10-27 17:07 - skyjake

- Target version changed from 1.15 to 42

#13 - 2014-10-27 17:07 - skyjake
- Due date deleted (2013-10-12)
#14 - 2014-10-27 17:10 - skyjake

- Target version changed from 42 to 1.15

#15 - 2014-10-27 17:13 - skyjake
Closing this issue because it is so old and 1.15 now uses libassimp to import various model formats, and the GL2 model renderer can do skeletal
animation. Newer issues exist that cover the particulars in more detail.

#16 - 2014-10-27 17:14 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 70 to 100

#17 - 2016-08-09 10:52 - skyjake

- Related to Feature #1281: Random monster variations added
